<template>
  <div>
    <v-app-bar flat color="#ddd" app >
      <v-layout row justify-end>
        <v-flex xs1 v-for="menu_list in menu_lists" :key="menu_list" @click="$vuetify.goTo(`#${menu_list.id}`)" route :to="menu_list.path" class="text-center font-weight-bold menu_navbar_index">
          <v-icon style="color:black" class="mr-2">{{menu_list.icon}}</v-icon>{{menu_list.name}}
        </v-flex>
        <v-flex xs1 @click="goTrain" class="text-center font-weight-bold menu_navbar_index">
          <v-icon style="color:black" class="mr-2">mdi-book-open</v-icon>อบรม
        </v-flex>
        <v-flex xs1 v-if="auth === ''" @click="goLogin" class="text-center font-weight-bold menu_navbar_index">
          <div style="font-size: 1.2vw;"><v-icon style="color:black" class="mr-2">mdi-account</v-icon>ล็อคอิน</div>
        </v-flex>

          <v-flex xs1 v-if="auth !== ''" class="text-center font-weight-bold menu_navbar_avatar_index" style="color:black">
            <v-avatar size="36" v-if="imgIcon === ''">
              <v-icon style="color:black">mdi-account-circle</v-icon>
            </v-avatar>

            <v-avatar v-if="imgIcon !== ''" size="36">
              <img :src="require(`@/assets/${imgIcon}`)">
            </v-avatar>
            {{name}}
            <v-menu offset-y>
              <template v-slot:activator="{ on }">
                <v-btn flat fab icon small v-on="on" color="white">
                  <v-icon style="color:black">mdi-chevron-down</v-icon>
                </v-btn>
              </template>
              <v-list>
                <v-list-item>
                  <v-list-item-title @click="logout" class="menu_item_index">
                    <v-icon class="mr-2" style="color:black">mdi-logout</v-icon>
                    <span>Logout</span>
                  </v-list-item-title>
                </v-list-item>
              </v-list>
            </v-menu>
          </v-flex>
      </v-layout>
    </v-app-bar>
  </div>
</template>
<script>
import { Decode } from '@/services'
export default {
  data () {
    return {
      myInfo: '',
      menu_lists: [
        {
          name: 'หน้าหลัก',
          icon: 'mdi-home',
          id: 'header'
        },
        {
          name: 'ข่าวสาร',
          icon: 'mdi-newspaper',
          id: 'newsActivity'
        },
        {
          name: 'การเรียนรู้',
          icon: 'mdi-newspaper',
          id: 'departmentknowledge'
        },
        {
          name: 'ท่องเที่ยว',
          icon: 'mdi-island',
          id: 'travel'
        },
        {
          name: 'คลังความรู้',
          icon: 'mdi-book-open',
          id: 'knowledgeBase'
        }
      ],
      auth: '',
      name: '',
      lastname: '',
      imgIcon: ''
    }
  },
  async created () {
    this.auth = JSON.parse(JSON.parse(Decode.decode(this.$cookies.get('datdaInfo'))))

    if (this.auth !== '') {
      if (this.$cookies.isKey('datdaInfo')) {
        this.myInfo = JSON.parse(JSON.parse(Decode.decode(this.$cookies.get('datdaInfo'))))
      } else {
        this.myInfo = ''
      }
    } else {
      this.myInfo = ''
    }
    await this.getData()
  },
  methods: {
    goLogin () {
      window.location = process.env.VUE_APP_WEB_LOGIN
    },
    async getData () {
      console.log('myInfo', this.myInfo)
      this.name = this.myInfo.name
      this.lastname = this.myInfo.lastname
      this.imgIcon = this.myInfo.avatar
    },
    goTrain () {
      window.location = process.env.VUE_APP_WEB_CENTER + 'train'
    },
    logout () {
      this.$cookies.remove('datdaInfo', '/', process.env.VUE_APP_WEB_DOMAIN)
      window.location = process.env.VUE_APP_WEB_CENTER
    }
  }
}
</script>
<style>
.menu_navbar_index{
  width:100%;
  height: 100%;
  margin: auto;
  cursor:pointer;
  color:black;
}
.menu_navbar_index:hover{
  width:100%;
  height: 100%;
  margin: auto;
  cursor:pointer;
  color:white;
}
.menu_navbar_avatar_index {
  width:100%;
  height: 100%;
  cursor:pointer;
  color:white;
}
.menu_item_index {
  color: black;
  cursor: pointer;
}
.menu_item_index:hover {
  color: white;
  cursor: pointer;
}
</style>
